package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B13;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B13Mapper {

    /**
     * 查询所有
     * @return
     */
    List<B13> selectAll();

    public List<B13> selectListByInfo(B13 b13);

    int insertOne(B13 b13);

    int examineB13(B13 b13);

    int delB13(B13 b13);

    int weekdelB13(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);


    List<B13> selectB13ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B13> selectB13ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b13字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B13> list);
}
